using System;

internal sealed class Delegate791 : MulticastDelegate
{
	public extern void Invoke(object object_0, long long_0);

	public static void smethod_0(object object_0, long long_0, Delegate791 delegate791_1)
	{
		delegate791_1(object_0, long_0);
	}

	public extern Delegate791(object object_0, IntPtr intptr_0);

	static Delegate791()
	{
		Class10.smethod_13(typeof(Delegate791).TypeHandle);
	}

	internal static Delegate791 delegate791_0;
}
